petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDualSpaceGetHeightSubspace

Get the subset of the dual space basis that is supported on a mesh point of a given height. This assumes that the reference cell is symmetric over points of this height.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetHeightSubspace(PetscDualSpace sp, PetscInt height, PetscDualSpace *subsp)

If the dual space is not defined on mesh points of the given height (e.g. if the space is discontinuous and pointwise values are not defined on the element boundaries), or if the implementation of PetscDualSpace does not support extracting subspaces, then NULL is returned.

This does not increment the reference count on the returned dual space, and the user should not destroy it.

Not collective

### Input Parameters

| sp | - the PetscDualSpace object
| height | - the height of the mesh point for which the subspace is desired

### Output Parameter

subsp -the subspace. Note that the functionals in the subspace are with respect to the intrinsic geometry of the point, which will be of lesser dimension if height > 0.

### See Also

PetscSpaceGetHeightSubspace(), PetscDualSpace

### Level

advanced

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceGetHeightSubspace_BDM in src/dm/dt/dualspace/impls/bdm/dspacebdm.c
PetscDualSpaceGetHeightSubspace_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages